hpp-corbaserver: _objref_ConfigProjector Class Reference

hpp-corbaserver 9.0.2 Corba server for Humanoid Path Planner applications

Loading...
Searching...
No Matches
Public Member Functions | Protected Member Functions | Friends | List of all members
_objref_ConfigProjector Class Reference

`#include <hpp/core_idl/_constraints-idl.hh>`

Inheritance diagram for _objref_ConfigProjector:
[legend]
Collaboration diagram for _objref_ConfigProjector:
[legend]

## Public Member Functions
void | setRightHandSideFromConfig (const ::hpp::floatSeq &config)
void | setRightHandSideOfConstraintFromConfig (::hpp::constraints_idl::Implicit_ptr nm, const ::hpp::floatSeq &config)
void | setRightHandSide (const ::hpp::floatSeq &param)
void | setRightHandSideOfConstraint (::hpp::constraints_idl::Implicit_ptr nm, const ::hpp::floatSeq &rhs)
floatSeq * | getRightHandSide ()
void | setRightHandSideAt (::hpp::value_type s)
::CORBA::Boolean | isConstraintSatisfied (::hpp::constraints_idl::Implicit_ptr nm, const ::hpp::floatSeq &arg, ::hpp::floatSeq_out err, ::CORBA::Boolean &constraintFound)
constraints_idl::Implicits * | numericalConstraints ()
::CORBA::Boolean | add (::hpp::constraints_idl::Implicit_ptr numconstraint, ::CORBA::ULong priority)
void | setLastIsOptional (::CORBA::Boolean optional)
::CORBA::Boolean | getLastIsOptional ()
void | setErrorThreshold (::hpp::value_type threshold)
value_type | getErrorThreshold ()
| _objref_ConfigProjector ()
| _objref_ConfigProjector (omniIOR *, omniIdentity *)
Public Member Functions inherited from _objref_Constraint
void | deleteThis ()
::CORBA::Boolean | deleteIfExpired ()
void | persistantStorage (::CORBA::Boolean persistant)
::CORBA::Boolean | apply (::hpp::floatSeq &config)
char * | name ()
char * | str ()
::CORBA::Boolean | isSatisfied (const ::hpp::floatSeq &config)
Constraint_ptr | copy ()
| _objref_Constraint ()
| _objref_Constraint (omniIOR *, omniIdentity *)

## Protected Member Functions
virtual | ~_objref_ConfigProjector ()
Protected Member Functions inherited from _objref_Constraint
virtual | ~_objref_Constraint ()

## Friends
class | ConfigProjector

## Constructor & Destructor Documentation

## ◆ _objref_ConfigProjector() [1/2]

_objref_ConfigProjector::_objref_ConfigProjector | ( |  | ) |
| inline

## ◆ _objref_ConfigProjector() [2/2]

_objref_ConfigProjector::_objref_ConfigProjector | ( | omniIOR * | ,
|  | omniIdentity * |
| ) |  |

## ◆ ~_objref_ConfigProjector()

virtual _objref_ConfigProjector::~_objref_ConfigProjector | ( |  | ) |
| protected virtual

## Member Function Documentation

## ◆ add()

::CORBA::Boolean _objref_ConfigProjector::add | ( | ::hpp::constraints_idl::Implicit_ptr | numconstraint,
|  | ::CORBA::ULong | priority
| ) |  |

## ◆ getErrorThreshold()

value_type _objref_ConfigProjector::getErrorThreshold | ( |  | ) |

## ◆ getLastIsOptional()

::CORBA::Boolean _objref_ConfigProjector::getLastIsOptional | ( |  | ) |

## ◆ getRightHandSide()

floatSeq * _objref_ConfigProjector::getRightHandSide | ( |  | ) |

## ◆ isConstraintSatisfied()

::CORBA::Boolean _objref_ConfigProjector::isConstraintSatisfied | ( | ::hpp::constraints_idl::Implicit_ptr | nm,
|  | const ::hpp::floatSeq & | arg,
|  | ::hpp::floatSeq_out | err,
|  | ::CORBA::Boolean & | constraintFound
| ) |  |

## ◆ numericalConstraints()

constraints_idl::Implicits * _objref_ConfigProjector::numericalConstraints | ( |  | ) |

## ◆ setErrorThreshold()

void _objref_ConfigProjector::setErrorThreshold | ( | ::hpp::value_type | threshold | ) |

## ◆ setLastIsOptional()

void _objref_ConfigProjector::setLastIsOptional | ( | ::CORBA::Boolean | optional | ) |

## ◆ setRightHandSide()

void _objref_ConfigProjector::setRightHandSide | ( | const ::hpp::floatSeq & | param | ) |

## ◆ setRightHandSideAt()

void _objref_ConfigProjector::setRightHandSideAt | ( | ::hpp::value_type | s | ) |

## ◆ setRightHandSideFromConfig()

void _objref_ConfigProjector::setRightHandSideFromConfig | ( | const ::hpp::floatSeq & | config | ) |

## ◆ setRightHandSideOfConstraint()

void _objref_ConfigProjector::setRightHandSideOfConstraint | ( | ::hpp::constraints_idl::Implicit_ptr | nm,
|  | const ::hpp::floatSeq & | rhs
| ) |  |

## ◆ setRightHandSideOfConstraintFromConfig()

void _objref_ConfigProjector::setRightHandSideOfConstraintFromConfig | ( | ::hpp::constraints_idl::Implicit_ptr | nm,
|  | const ::hpp::floatSeq & | config
| ) |  |

## Friends And Related Symbol Documentation

## ◆ ConfigProjector

friend class ConfigProjector
| friend

The documentation for this class was generated from the following file:

- src/hpp/core_idl/_constraints-idl.hh